- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.ListNotebooksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks/list#body.aspect_1)

**Full name**: projects.locations.instances.notebooks.list

notebooks.list is used to retrieve existing notebooks for a given instance.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/notebooks`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of notebooks. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of notebooks to return. The service may return fewer than this value. If unspecified, at most 100 notebooks will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `notebooks.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. A filter to apply to the list of notebooks. Supported filter fields: \* `displayName`: Filter by the user-facing name. Example: `filter="displayName='Notebook 1'"` |
| `orderBy` | `string` Optional. Configures ordering of notebooks in the response. If not specified, notebooks are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. For example: "createTime desc, updateTime" Supported fields: \* `createTime` \* `updateTime` \* `displayName` |

### Request body

The request body must be empty.

### Response body

Response message for notebooks.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "notebooks": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks#Notebook`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `notebooks[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.notebooks#Notebook`)`` The notebooks from the specified instance. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.notebooks.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).